
AC_PREREQ(2.59)
AC_INIT(syslog2iptables,1.16,carl@five-ten-sg.com)
AC_CONFIG_SRCDIR([config.h.in])
AC_CONFIG_HEADER([config.h])

AM_INIT_AUTOMAKE($PACKAGE_NAME,$PACKAGE_VERSION)

# Checks for programs.
AC_PATH_PROGS(BASH, bash)
if test "x$BASH" = x ; then
    AC_MSG_ERROR([bash required for init script])
fi
AC_PROG_CXX
AC_PROG_CC
AC_PROG_CPP
AC_PROG_AWK
AC_PROG_INSTALL
AC_PROG_LN_S
AC_PROG_LIBTOOL
AC_PROG_MAKE_SET
AC_PROG_RANLIB

# Checks for libraries.

# Checks for header files.
AC_HEADER_SYS_WAIT
AC_CHECK_HEADERS([arpa/inet.h fcntl.h limits.h netdb.h netinet/in.h regex.h sys/socket.h syslog.h unistd.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_HEADER_STDBOOL
AC_C_CONST

# Checks for library functions.
AC_FUNC_FORK
AC_FUNC_GETPGRP
AC_HEADER_STDC
AC_FUNC_STAT
AC_CHECK_FUNCS([daemon gethostbyname inet_ntoa memchr memmove memset regcomp strdup strtol])

AC_CHECK_FUNCS(regexec,,[AC_CHECK_LIB(regex,regexec,
               [REGEXLIB=-lregex
                AC_DEFINE(HAVE_REGEXEC,1,[Define to 1 if you have the regexec function.])],
               [AC_MSG_ERROR([No regex library found])])])
AC_SUBST(REGEXLIB)

# check for posix threads
ACX_PTHREAD

AC_CONFIG_FILES([Makefile
                 syslog2iptables.rc
                 syslog2iptables.spec
                 html/Makefile
                 info/Makefile
                 man/Makefile
                 src/Makefile
                 xml/Makefile
                 xml/syslog2iptables])

AC_OUTPUT
